Skip to main content
POST
/
clients
/
me
/
integrations
/
yield-xyz
/
yields
/
balances
Get yield balances
curl --request POST \
  --url https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/yields/balances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "validatorAddresses": [
    "<string>"
  ],
  "yieldIds": [
    "<string>"
  ]
}
'
{
  "data": {
    "rawResponse": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Body

application/json
validatorAddresses
string[]

Filter by validator addresses.

yieldIds
string[]

Filter by yield opportunity IDs.

Response

Yield balances retrieved successfully

data
object